POST api/pctypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "42f8051b-a110-4b68-872f-c5b5f0c9165d",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<pc_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>42f8051b-a110-4b68-872f-c5b5f0c9165d</id> <type>sample string 4</type> </pc_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4b1c73e3-7a9e-4c79-98f5-1c600d7fb1bc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4b1c73e3-7a9e-4c79-98f5-1c600d7fb1bc</guid>